[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 'make check' failed if configure --enable-runtime-module-search

From: Nathan Hartman <hartman.nathan_at_gmail.com>
Date: Sun, 5 Apr 2020 09:49:30 -0400

On Sun, Apr 5, 2020 at 3:47 AM wuzhouhui <wuzhouhui14_at_mails.ucas.ac.cn>
wrote:

> Hi,
>
> When compile Subversion with --enable-runtime-module-search, some tests
> failed, such as subversion/tests/libsvn_client/client-test, the tests.log
> says:
>
> svn_tests: E200019: Version mismatch in 'svn_fs_util' (expecting
> equality): found 1.13.0, expected 1.10.6
> svn_tests: E200019: Version mismatch in 'svn_delta' (expecting
> equality): found 1.13.0, expected 1.10.6
> svn_tests: E200019: Version mismatch in 'svn_subr' (expecting equality):
> found 1.13.0, expected 1.10.6
> FAIL: lt-client-test 3: test svn_wc_add3 scenarios
>
> Environment information:
> OS: CentOS 7.5.1804
> Subversion: 1.13.0
> Build option: ./configure --enable-apache-whitelist=2.4.6
> --with-lz4=internal --enable-runtime-module-search
> Already installed Subversion: 1.10.6
>
> It seems that the client-test found wrong dynamic library (*.so).
>
Something seems reversed in the output:

found 1.13.0 and expected 1.10.6?

I think it should read:

found 1.10.6 and expected 1.13.0.

Perhaps our format string arguments are reversed. I am away from my
computer at the moment so I'll check later...

Nathan
Received on 2020-04-05 15:49:55 CEST

This is an archived mail posted to the Subversion Users mailing list.